/* swap функция перемешивает 2 элемента массива между собой по start и end,
вызов swap([1,2,3], 0, 1) вернет [2,1,3]
 */
export var swap = function (arr, start, end) {
    if (start === void 0) { start = 0; }
    if (end === void 0) { end = 0; }
    var result = new Map();
    arr.map(function (_, idx) {
        if (idx === start) {
            return result.set(idx, arr[end]);
        }
        else if (idx === end) {
            return result.set(idx, arr[start]);
        }
        return result.set(idx, arr[idx]);
    });
    return Array.from(result.values());
};
export var normalizeDate = function (dateRange) {
    return typeof dateRange === "string"
        ? swap(dateRange.split("."), 0, 1).reverse().join("-")
        : null;
};
